Loading...
Searching...
No Matches
Dune::PolyhedralGridLocalGeometry< mydim, cdim, Grid > Class Template Reference
Inheritance diagram for Dune::PolyhedralGridLocalGeometry< mydim, cdim, Grid >:

## Public Types

typedef Base::ExtraData | ExtraData
Public Types inherited from Dune::PolyhedralGridBasicGeometry< mydim, cdim, Grid >
typedef Grid::ctype | ctype
typedef Dune::FieldVector< ctype, coorddimension > | GlobalCoordinate
typedef Dune::FieldVector< ctype, mydimension > | LocalCoordinate
typedef Grid::Traits::ExtraData | ExtraData
typedef Grid::Traits::template Codim< codimension >::EntitySeed | EntitySeed
typedef Dune::MultiLinearGeometry< ctype, mydimension, coorddimension, PolyhedralMultiLinearGeometryTraits< ctype > > | MultiLinearGeometryType
typedef PolyhedralMultiLinearGeometryTraits< ctype >::template CornerStorage< mydimension, coorddimension >::Type | CornerStorageType
typedef FieldMatrix< ctype, cdim, mydim > | JacobianInverseTransposed
| type of jacobian inverse transposed
typedef FieldMatrix< ctype, mydim, cdim > | JacobianTransposed
| type of jacobian transposed
using | JacobianInverse = FieldMatrix< ctype, mydim, cdim >
| type of jacobian inverse transposed
using | Jacobian = FieldMatrix< ctype, cdim, mydim >
| type of jacobian transposed
typedef Dune::Impl::FieldMatrixHelper< ctype > | MatrixHelperType

## Public Member Functions

| PolyhedralGridLocalGeometry (ExtraData data)
Public Member Functions inherited from Dune::PolyhedralGridBasicGeometry< mydim, cdim, Grid >
| PolyhedralGridBasicGeometry (ExtraData data)
| PolyhedralGridBasicGeometry (ExtraData data, const EntitySeed &seed)
GeometryType | type () const
bool | affine () const
int | corners () const
GlobalCoordinate | corner (const int i) const
GlobalCoordinate | center () const
GlobalCoordinate | global (const LocalCoordinate &local) const
LocalCoordinate | local (const GlobalCoordinate &global) const
| Mapping from the cell to the reference domain.
ctype | integrationElement (const LocalCoordinate &local) const
ctype | volume () const
JacobianTransposed | jacobianTransposed (const LocalCoordinate &local) const
JacobianInverseTransposed | jacobianInverseTransposed (const LocalCoordinate &local) const
Jacobian | jacobian (const LocalCoordinate &local) const
| The jacobian.
JacobianInverse | jacobianInverse (const LocalCoordinate &local) const
| The inverse of the jacobian.
ExtraData | data () const

## Additional Inherited Members

Static Public Attributes inherited from Dune::PolyhedralGridBasicGeometry< mydim, cdim, Grid >
static const int | dimension = Grid::dimension
static const int | mydimension = mydim
static const int | codimension = dimension - mydimension
static const int | dimensionworld = Grid::dimensionworld
static const int | coorddimension = dimensionworld
Protected Attributes inherited from Dune::PolyhedralGridBasicGeometry< mydim, cdim, Grid >
CornerStorageType | storage_
std::shared_ptr< MultiLinearGeometryType > | geometryImpl_

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/geometry.hh